Bug 110471 - CDT debug view shows incorrect debugger name in C/C++ post-mortem debugger
CDT debug view shows incorrect debugger name in C/C++ post-mortem debugger
Status: CLOSED NEXTRELEASE
Product: Red Hat Developer Suite
Classification: Retired
Component: eclipse (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Tromey
eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-19 15:01 EST by Jeremy Handcock
Modified: 2014-08-11 01:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-20 19:38:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Handcock 2003-11-19 15:01:01 EST
Description of problem:
When debugging a core file using the C/C++ post-mortem debugger, the
debugger name shows up incorrectly as "Cygwin GDB Debugger".  I'm not
sure where this is coming from... when debugging using the standard
C/C++ Local configuration, the name shows up correctly as just "GDB
Debugger".  Maybe this is hard-coded somewhere?

Version-Release number of selected component (if applicable):
snapshot-20031119-eclipse-2.1.1-3

How reproducible:
Always

Steps to Reproduce:
1. Enable core dumps
2. Write a program that will seg. fault and run it
3. Debug the core file using the CDT post-mortem debugger (select it
as a debug configuration in the debug launcher)
    

Actual Results:  Debugger name shows up in debug view as "Cygwin GDB
Debugger".

Expected Results:  It should be just "GDB Debugger", as with the C/C++
Local configuration.
Comment 1 Jeremy Handcock 2003-11-19 15:42:36 EST
The Debugger drop-down menu in a post-mortem debug configuration shows
"GDB Debugger" and "Cygwin GDB Debugger".  They both point to the
command "gdb", so the end-result is the same.  The Cygwin one always
gets selected by default.  

Anyway, the Cygwin debugger item should probably be removed in Linux
versions of the CDT.  Note that the Cygwin option only shows up in the
postmortem debug configuration.
Comment 2 Tom Tromey 2003-11-19 16:48:05 EST
This may be related to a patch we posted for the ordinary
debugger configuration page.  This patch changed the combo
box to be explicitly sorted.  I didn't notice the post-mortem
debug page duplicated most of the code :-(

I'm testing a change now.
Comment 3 Tom Tromey 2003-11-20 19:38:50 EST
I've checked in a fix for this.
I've also filed a bug report upstream.

Comment 4 John Healy 2004-03-08 16:21:35 EST
Moving from RHEL/3/Eclipse to Red Hat Developer Suite product.

Note You need to log in before you can comment on or make changes to this bug.